<?php

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Trending Posts Widget.
require get_template_directory() . '/inc/widgets/trending-posts-widget.php';

// List Posts Widget.
require get_template_directory() . '/inc/widgets/list-posts-widget.php';

// Express List Widget.
require get_template_directory() . '/inc/widgets/express-list-widget.php';

// Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/posts-carousel-widget.php';

// Most Read Widget.
require get_template_directory() . '/inc/widgets/most-read-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function express_news_register_widgets() {

	register_widget( 'Express_News_Grid_Posts_Widget' );

	register_widget( 'Express_News_Trending_Posts_Widget' );

	register_widget( 'Express_News_List_Posts_Widget' );

	register_widget( 'Express_News_Express_List_Widget' );

	register_widget( 'Express_News_Posts_Carousel_Widget' );

	register_widget( 'Express_News_Most_Read_Widget' );

	register_widget( 'Express_News_Social_Widget' );

}
add_action( 'widgets_init', 'express_news_register_widgets' );
